Package org.eclipse.emf.cdo.security.provider

## Class UserItemProvider

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.edit.provider.ItemProviderAdapter
    - - org.eclipse.emf.cdo.edit.CDOItemProviderAdapter
      - - org.eclipse.emf.cdo.etypes.provider.ModelElementItemProvider
        - - org.eclipse.emf.cdo.security.provider.SecurityElementItemProvider
          - - org.eclipse.emf.cdo.security.provider.SecurityItemItemProvider
            - - org.eclipse.emf.cdo.security.provider.AssigneeItemProvider
              - - org.eclipse.emf.cdo.security.provider.UserItemProvider

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.Adapter`, `org.eclipse.emf.common.notify.Adapter.Internal`, `org.eclipse.emf.common.util.ResourceLocator`, `org.eclipse.emf.edit.command.CreateChildCommand.Helper`, `org.eclipse.emf.edit.provider.IChangeNotifier`, `org.eclipse.emf.edit.provider.IDisposable`, `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`, `org.eclipse.emf.edit.provider.IItemColorProvider`, `org.eclipse.emf.edit.provider.IItemFontProvider`, `org.eclipse.emf.edit.provider.IItemLabelProvider`, `org.eclipse.emf.edit.provider.IItemPropertySource`, `org.eclipse.emf.edit.provider.IStructuredItemContentProvider`, `org.eclipse.emf.edit.provider.ITableItemColorProvider`, `org.eclipse.emf.edit.provider.ITableItemFontProvider`, `org.eclipse.emf.edit.provider.ITableItemLabelProvider`, `org.eclipse.emf.edit.provider.ITreeItemContentProvider`

      public class UserItemProvider
      extends AssigneeItemProvider

  This is the item provider adapter for a `User` object.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter

      `CDOItemProviderAdapter.AdaptersDescriptor, CDOItemProviderAdapter.CDOPropertyDescriptor, CDOItemProviderAdapter.ChangeSubscriptionPoliciesDescriptor, CDOItemProviderAdapter.ContainerDescriptor, CDOItemProviderAdapter.DirectResourceDescriptor, CDOItemProviderAdapter.IDDescriptor, CDOItemProviderAdapter.ReadLockedDescriptor, CDOItemProviderAdapter.StateDescriptor, CDOItemProviderAdapter.URIDescriptor, CDOItemProviderAdapter.VersionDescriptor, CDOItemProviderAdapter.ViewDescriptor, CDOItemProviderAdapter.WriteLockedDescriptor, CDOItemProviderAdapter.WriteOptionDescriptor`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E extends java.lang.Object>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `org.eclipse.emf.common.notify.Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

    - ### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

      `GRAYED_OUT_COLOR`

    - ### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

      `BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserItemProvider​(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` | This constructs an instance from a factory and a notifier.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addAllPermissionsPropertyDescriptor​(java.lang.Object object)` | This adds a property descriptor for the All Permissions feature.
    `protected void` | `addDefaultAccessOverridePropertyDescriptor​(java.lang.Object object)` | This adds a property descriptor for the Default Access Override feature.
    `protected void` | `addDefaultAccessPropertyDescriptor​(java.lang.Object object)` | This adds a property descriptor for the Default Access feature.
    `protected void` | `addEmailPropertyDescriptor​(java.lang.Object object)` | This adds a property descriptor for the Email feature.
    `protected void` | `addFirstNamePropertyDescriptor​(java.lang.Object object)` | This adds a property descriptor for the First Name feature.
    `protected void` | `addGroupsPropertyDescriptor​(java.lang.Object object)` | This adds a property descriptor for the Groups feature.
    `protected void` | `addLabelPropertyDescriptor​(java.lang.Object object)` | This adds a property descriptor for the Label feature.
    `protected void` | `addLastNamePropertyDescriptor​(java.lang.Object object)` | This adds a property descriptor for the Last Name feature.
    `protected void` | `addLockedPropertyDescriptor​(java.lang.Object object)` | This adds a property descriptor for the Locked feature.
    `protected void` | `collectNewChildDescriptors​(java.util.Collection<java.lang.Object> newChildDescriptors, java.lang.Object object)` | This adds `CommandParameter`s describing the children that can be created under this object.
    `protected org.eclipse.emf.ecore.EStructuralFeature` | `getChildFeature​(java.lang.Object object, java.lang.Object child)`

    `java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature>`

    `getChildrenFeatures​(java.lang.Object object)`

    This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.

    `java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature>`

    `getChildrenFeaturesGen​(java.lang.Object object)`

    This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.

    `java.lang.Object` | `getImage​(java.lang.Object object)` | This returns User.gif.
    `java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` | `getPropertyDescriptors​(java.lang.Object object)` | This returns the property descriptors for the adapted class.
    `java.lang.String` | `getText​(java.lang.Object object)` | This returns the label text for the adapted class.
    `void` | `notifyChanged​(org.eclipse.emf.common.notify.Notification notification)` | This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.
    `protected boolean` | `shouldComposeCreationImage()`

    - ### Methods inherited from class org.eclipse.emf.cdo.security.provider.AssigneeItemProvider

      `addIdPropertyDescriptor, addRolesPropertyDescriptor`

    - ### Methods inherited from class org.eclipse.emf.cdo.etypes.provider.ModelElementItemProvider

      `getColumnImage, getColumnText, getResourceLocator, hasChildren`

    - ### Methods inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter

      `addAdaptersDescriptor, addCDOPropertyDescriptor, addChangeSubscriptionPoliciesDescriptor, addContainerDescriptor, addDirectResourceDescriptor, addIDDescriptor, addReadLockedDescriptor, addStateDescriptor, addURIDescriptor, addVersionDescriptor, addViewDescriptor, addWriteLockedDescriptor, addWriteOptionDescriptor, getParent`

    - ### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildReference, getChildren, getChildrenReferences, getChildrenStore, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getStyledText, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider

      `createCommand, getChildren, getNewChildDescriptors, getParent`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

      `getBackground, getForeground`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

      `getFont`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource

      `getEditableValue, getPropertyDescriptor`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider

      `getElements`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemColorProvider

      `getBackground, getForeground`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemFontProvider

      `getFont`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider

      `getChildren, getParent`

- - ### Constructor Detail

    - #### UserItemProvider

          public UserItemProvider​(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

      This constructs an instance from a factory and a notifier.
      Generated

  - ### Method Detail

    - #### getPropertyDescriptors

          public java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getPropertyDescriptors​(java.lang.Object object)

      This returns the property descriptors for the adapted class.
      Specified by:
        `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
      Overrides:
        `getPropertyDescriptors` in class `AssigneeItemProvider`
      Generated

    - #### addGroupsPropertyDescriptor

          protected void addGroupsPropertyDescriptor​(java.lang.Object object)

      This adds a property descriptor for the Groups feature.
      Generated

    - #### addLabelPropertyDescriptor

          protected void addLabelPropertyDescriptor​(java.lang.Object object)

      This adds a property descriptor for the Label feature.
      Generated

    - #### addFirstNamePropertyDescriptor

          protected void addFirstNamePropertyDescriptor​(java.lang.Object object)

      This adds a property descriptor for the First Name feature.
      Generated

    - #### addLastNamePropertyDescriptor

          protected void addLastNamePropertyDescriptor​(java.lang.Object object)

      This adds a property descriptor for the Last Name feature.
      Generated

    - #### addEmailPropertyDescriptor

          protected void addEmailPropertyDescriptor​(java.lang.Object object)

      This adds a property descriptor for the Email feature.
      Generated

    - #### addDefaultAccessOverridePropertyDescriptor

          protected void addDefaultAccessOverridePropertyDescriptor​(java.lang.Object object)

      This adds a property descriptor for the Default Access Override feature.
      Generated

    - #### addDefaultAccessPropertyDescriptor

          protected void addDefaultAccessPropertyDescriptor​(java.lang.Object object)

      This adds a property descriptor for the Default Access feature.
      Generated

    - #### addLockedPropertyDescriptor

          protected void addLockedPropertyDescriptor​(java.lang.Object object)

      This adds a property descriptor for the Locked feature.
      Generated

    - #### addAllPermissionsPropertyDescriptor

          protected void addAllPermissionsPropertyDescriptor​(java.lang.Object object)

      This adds a property descriptor for the All Permissions feature.
      Generated

    - #### getChildrenFeaturesGen

          public java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature> getChildrenFeaturesGen​(java.lang.Object object)

      This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.
      Generated

    - #### getChildrenFeatures

          public java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature> getChildrenFeatures​(java.lang.Object object)

      This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.
      Overrides:
        `getChildrenFeatures` in class `ModelElementItemProvider`
      Generated
        NOT

    - #### getChildFeature

          protected org.eclipse.emf.ecore.EStructuralFeature getChildFeature​(java.lang.Object object,
                                                                             java.lang.Object child)

      Overrides:
        `getChildFeature` in class `ModelElementItemProvider`
      Generated

    - #### getImage

          public java.lang.Object getImage​(java.lang.Object object)

      This returns User.gif.
      Specified by:
        `getImage` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
      Overrides:
        `getImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`
      Generated

    - #### shouldComposeCreationImage

          protected boolean shouldComposeCreationImage()

      Overrides:
        `shouldComposeCreationImage` in class `AssigneeItemProvider`
      Generated

    - #### getText

          public java.lang.String getText​(java.lang.Object object)

      This returns the label text for the adapted class.
      Specified by:
        `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
      Overrides:
        `getText` in class `AssigneeItemProvider`
      Generated
        NOT

    - #### notifyChanged

          public void notifyChanged​(org.eclipse.emf.common.notify.Notification notification)

      This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.
      Specified by:
        `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
      Overrides:
        `notifyChanged` in class `AssigneeItemProvider`
      Generated

    - #### collectNewChildDescriptors

          protected void collectNewChildDescriptors​(java.util.Collection<java.lang.Object> newChildDescriptors,
                                                    java.lang.Object object)

      This adds `CommandParameter`s describing the children that can be created under this object.
      Overrides:
        `collectNewChildDescriptors` in class `AssigneeItemProvider`
      Generated